Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.geom
Class Line2D.Float

    java.lang.Object
      java.awt.geom.Line2D
          java.awt.geom.Line2D.Float

All Implemented Interfaces:
  Shape, Cloneable

Enclosing class:
  Line2D

    public static class Line2D.Float

extends Line2D

A line segment specified with float coordinates.

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.geom.Line2D
`Line2D.Double, Line2D.Float`

Field Summary
`float` | `x1` The X coordinate of the start point of the line segment.
`float` | `x2` The X coordinate of the end point of the line segment.
`float` | `y1` The Y coordinate of the start point of the line segment.
`float` | `y2` The Y coordinate of the end point of the line segment.

Constructor Summary
`Line2D.Float()` Constructs and initializes a Line with coordinates (0, 0) -> (0, 0).
`Line2D.Float(float X1, float Y1, float X2, float Y2)` Constructs and initializes a Line from the specified coordinates.
`Line2D.Float(Point2D p1, Point2D p2)` Constructs and initializes a `Line2D` from the specified `Point2D` objects.

Method Summary
`Rectangle2D` | `getBounds2D()` Returns the high-precision bounding box of this `Line2D`.
`Point2D` | `getP1()` Returns the start point.
`Point2D` | `getP2()` Returns the end point.
`double` | `getX1()` Returns the X coordinate of the start point in double precision.
`double` | `getX2()` Returns the X coordinate of the end point in double precision.
`double` | `getY1()` Returns the Y coordinate of the start point in double precision.
`double` | `getY2()` Returns the Y coordinate of the end point in double precision.
`void` | `setLine(double X1, double Y1, double X2, double Y2)` Sets the location of the endpoints of this `Line2D` to the specified double coordinates.
`void` | `setLine(float X1, float Y1, float X2, float Y2)` Sets the location of the endpoints of this `Line2D` to the specified float coordinates.

Methods inherited from class java.awt.geom.Line2D
`clone, contains, contains, contains, contains, getBounds, getPathIterator, getPathIterator, intersects, intersects, intersectsLine, intersectsLine, linesIntersect, ptLineDist, ptLineDist, ptLineDist, ptLineDistSq, ptLineDistSq, ptLineDistSq, ptSegDist, ptSegDist, ptSegDist, ptSegDistSq, ptSegDistSq, ptSegDistSq, relativeCCW, relativeCCW, relativeCCW, setLine, setLine`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x1

    public float x1

  The X coordinate of the start point of the line segment.

### y1

    public float y1

  The Y coordinate of the start point of the line segment.

### x2

    public float x2

  The X coordinate of the end point of the line segment.

### y2

    public float y2

  The Y coordinate of the end point of the line segment.

Constructor Detail

### Line2D.Float

    public Line2D.Float()

  Constructs and initializes a Line with coordinates (0, 0) -> (0, 0).

### Line2D.Float

    public Line2D.Float(float X1,
                        float Y1,
                        float X2,
                        float Y2)

  Constructs and initializes a Line from the specified coordinates.

  Parameters:
    `X1, Y1` - the first specified coordinates
    `X2, Y2` - the second specified coordinates

### Line2D.Float

    public Line2D.Float(Point2D p1,
                        Point2D p2)

  Constructs and initializes a `Line2D` from the specified `Point2D` objects.

  Parameters:
    `p1` - the first specified `Point2D`
    `p2` - the second specified `Point2D`

Method Detail

### getX1

    public double getX1()

  Returns the X coordinate of the start point in double precision.

  Specified by:
    `getX1` in class `Line2D`
  Returns:
    the x coordinate of this `Line2D` object's starting point in double precision.

### getY1

    public double getY1()

  Returns the Y coordinate of the start point in double precision.

  Specified by:
    `getY1` in class `Line2D`
  Returns:
    the x coordinate of this `Line2D` object's starting point in double precision.

### getP1

    public Point2D getP1()

  Returns the start point.

  Specified by:
    `getP1` in class `Line2D`
  Returns:
    the starting `Point2D` object of this `Line2D`.

### getX2

    public double getX2()

  Returns the X coordinate of the end point in double precision.

  Specified by:
    `getX2` in class `Line2D`
  Returns:
    the x coordinate of this `Line2D` object's ending point in double precision.

### getY2

    public double getY2()

  Returns the Y coordinate of the end point in double precision.

  Specified by:
    `getY2` in class `Line2D`
  Returns:
    the Y coordinate of this `Line2D` object's ending point in double precision.

### getP2

    public Point2D getP2()

  Returns the end point.

  Specified by:
    `getP2` in class `Line2D`
  Returns:
    the ending `Point2D` object of this `Line2D`.

### setLine

    public void setLine(double X1,
                        double Y1,
                        double X2,
                        double Y2)

  Sets the location of the endpoints of this `Line2D` to the specified double coordinates.

  Specified by:
    `setLine` in class `Line2D`
  Parameters:
    `X1, Y1` - the first specified coordinate
    `X2, Y2` - the second specified coordinate

### setLine

    public void setLine(float X1,
                        float Y1,
                        float X2,
                        float Y2)

  Sets the location of the endpoints of this `Line2D` to the specified float coordinates.

  Parameters:
    `X1, Y1` - the first specified coordinate
    `X2, Y2` - the second specified coordinate

### getBounds2D

    public Rectangle2D getBounds2D()

  Returns the high-precision bounding box of this `Line2D`.

  Returns:
    a `Rectangle2D` that is the high-precision bounding box of this `Line2D`.
  See Also:
    `Shape.getBounds()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.